#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif

uniform sampler2D u_texture;
varying LOWP vec4 v_color;
varying vec2 v_texCoords;

void main(void) {
     LOWP vec4 texColor0 = texture2D(u_texture, v_texCoords);
	 gl_FragColor = v_color * vec4(1, 1, 1, texColor0.a == 0.0 ? 0.0 : 0.3);
}

