#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif

uniform sampler2D u_texture;
varying LOWP vec4 v_color;
varying vec2 v_texCoords;

void main(void) {
     LOWP vec4 texColor0 = texture2D(u_texture, v_texCoords);
	 if (texColor0[0] > 0.9) {
		texColor0[3] = 0.0;
	 } else {
		texColor0 = vec4(0, 0, 0, 1.0 - texColor0[0]);
//		texColor0 = vec4(0, 0, 0, 1);
	 }
	 gl_FragColor = v_color * texColor0;
}

